Enqueue a message

Enqueues an outbound WhatsApp message for sending.

Queued messages will be submitted to the WhatsApp Business API asynchronously.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The sender's phone number in E.164 format.

string
required

The recipient's phone number in E.164 format.

string
enum
required

WhatsApp outbound message type. See also WhatsApp messages.

template
object

Use for sending a WhatsApp template message.
See also WhatsApp Template Object.

text
object
image
object

Use for image, video, audio, document, or sticker messages.
See also Supported Media Types.

video
object

Use for image, video, audio, document, or sticker messages.
See also Supported Media Types.

audio
object

Use for image, video, audio, document, or sticker messages.
See also Supported Media Types.

document
object

Use for image, video, audio, document, or sticker messages.
See also Supported Media Types.

sticker
object

Use for image, video, audio, document, or sticker messages.
See also Supported Media Types.

location
object

Use for location messages.
See also WhatsApp Location Object.

interactive
object

Use for interactive messages.
See also WhatsApp Interactive Object.

contacts
array of objects

Required when type is contacts.

contacts
reaction
object

When a user reacts to messages with an emoji, the message type is set to reaction, and this field is included.

context
object

Used to mention a specific message you are replying to. The reply can be any message type.

string

A unique string to reference the object. This can be an order number or similar, and can be used to reconcile the object with your internal systems.

boolean

Optional.
If set to true, the message will not be sent to users who have unsubscribed from your account. Defaults to false.

Only use for POST /v2/whatsapp/messages. If the user has unsubscribed, we will push webhook notifications with whatsappMessage.errorCode set to RECIPIENT_UNSUBSCRIBED.

Not applicable to POST /v2/whatsapp/message/sendDirectly.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json